%define isClean 1

%define debug 0

%define final 0
%define rpm_clean 1

%define ksysv 0
%define kuser 0
%define kpackage 0
%define lilo 0
%define kdat 1
%define kcron 1
%define kisdndock 0
%define kcmlinuz 1

%ifnarch %{ix86}
%define lilo 0
%endif

%define kisdndock_version 1.0.2
%define qt_version 3.3.1
%define appdir %{_datadir}/applications/kde

Version: 3.2.2
Release: 2
Name: kdeadmin
Summary: Administrative tools for KDE.
Epoch: 7
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: kisdndock-%{kisdndock_version}.tar.bz2
Source2: kisdndock.pam
Source6: kuser.pam
Source7: kuser.pamd
Source8: kpackage.pam
Source9: kpackage.pamd
Source10: kpackagerc

Patch2: kdeadmin-2.2-kuserconfig.patch
Patch3: kdeadmin-3.0.0-kernelpath.patch
Patch6: kdeadmin-3.1-kuser-pam.patch
Patch7: kde-libtool.patch

Prereq: /sbin/ldconfig
Requires: kdelibs >= 6:%{version}
Requires: kdebase >= 6:%{version}
Requires: usermode

BuildPrereq: qt-devel >= %{qt_version}
BuildPrereq: zlib-devel
BuildPrereq: XFree86-devel
BuildPrereq: kdelibs-devel >= 6:3.2.1
BuildPrereq: libjpeg-devel
BuildPrereq: libpng-devel
BuildPrereq: rpm-devel
BuildPrereq: bzip2-devel
BuildPrereq: perl
BuildPrereq: /usr/bin/desktop-file-install

%description
The kdeadmin package includes administrative tools for the K Desktop
Environment (KDE) including:

 kcron - Crontab editor
 kdat - Tape backup tool
 kisdndock - ISDN dock application

%package kcron
Group: User Interface/Desktops
Summary: Crontab editor for KDE
Obsoletes: kdeadmin

%description kcron
KCron is a crontab editor for KDE - it helps you make your system run
commands periodically.

%package kdat
Group: User Interface/Desktops
Summary: Tape backup tool for KDE
Obsoletes: kdeadmin

%description kdat
KDat is a KDE application for controlling tape backups.

%package kpackage
Group: User Interface/Desktops
Summary: KDE package manager
Obsoletes: kpackage kdeadmin
Requires: usermode, pam

%description kpackage
KPackage is a graphical frontend for RPM and other package managers.

%package ksysv
Group: User Interface/Desktops
Summary: System V startup editor
Obsoletes: kdeadmin

%description ksysv
KSysV is a graphical frontend for configuring your runlevels (system
startup/shutdown sequence).

%package kuser
Group: User Interface/Desktops
Summary: Frontend for configuring users and user groups
Requires: usermode, pam
Obsoletes: kdeadmin

%description kuser
KUser is a graphical frontend for managing the users and user groups on
your system.

%package kwuftpd
Group: User Interface/Desktops
Summary: Graphical interface for configuring wu-ftpd
Requires: usermode, pam
Obsoletes: kdeadmin

%description kwuftpd
KWuftpd is a graphical frontend for configuring the wu-ftpd ftp server.

%package kcmlinuz
Group: User Interface/Desktops
Summary: Linux kernel configurator for KDE
Obsoletes: kdeadmin

%description kcmlinuz
kcmlinuz is a graphical frontend for creating configuration files for compiling
kernels.

%package lilo
Group: User Interface/Desktops
Summary: Graphical frontend for configuring the LILO bootloader
Requires: lilo 
Obsoletes: kdeadmin

%description lilo
kdeadmin-lilo is a KDE frontend for configuring the LILO bootloader.

%package kisdndock
Group: User Interface/Desktops
Summary: KDE dock application for ISDN
Requires: isdn4k-utils, redhat-config-network

%description kisdndock
kisdndock is a dock application for managing ISDN connections.

%package -n kxconfig
Group: User Interface/Desktops
Summary: X Configuration tool

%description -n kxconfig
kxconfig is a tool that allows you to configure the X server.

%prep
%setup -q

%patch2 -p1 -b .kuserconfig
%patch3 -p1 -b .kernelpath
%patch7 -p1 -b .libtool

%if ! %{kcmlinuz}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kcmlinuz"' >kcmlinuz/configure.in.in
%endif

%if ! %{kpackage}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kpackage"' >kpackage/configure.in.in
%endif

%if ! %{ksysv}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE ksysv"' >ksysv/configure.in.in
%endif

%if ! %{kuser}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kuser"' >kuser/configure.in.in
%endif

%if ! %{lilo}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE lilo-config"' >lilo-config/configure.in.in
%endif

%if ! %{kdat}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kdat"' >kdat/configure.in.in
%endif

%if ! %{kcron}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kcron"' >kcron/configure.in.in
%endif

ln admin/lt* .

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

perl -pi -e "s,-lqt ,-lqt-mt ,g;s,-lqt$,-lqt-mt,g" ksysv/Makefile* lilo-config/qt/Makefile.*

make -f admin/Makefile.common cvs

%build
unset QTDIR && . /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

%if %{debug}
  FLAGS="-O0"
%endif

export KDEDIR=%{_prefix}
export PATH=$KDEDIR/bin:$PATH
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
   --disable-rpath \
   --with-rpm \
   --with-qt-libraries=$QTDIR/lib \
%if %{final}
   --enable-final \
%endif
%if %{debug}
   --enable-debug \
%endif
   --with-private-groups

make %{?_smp_mflags}

# kisdndock stuff
%if %{kisdndock}
  tar jvxf %{SOURCE1}
  pushd kisdndock-%{kisdndock_version}
  rm -rf admin && ln -sf ../admin .

  # Workaround for legacy auto* tools
  [ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
  [ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
  [ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
  [ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
  export PATH=`pwd`:$PATH
  # End workaround

  make -f Makefile.cvs
  ./configure --prefix=%{_prefix} \
              --libdir=%{_libdir} \
              --with-qt-libraries=$QTDIR/lib

  make %{?_smp_mflags}
  popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# don't use, just delete. Our own versions come later.
rm -rf $RPM_BUILD_ROOT/etc/pam.d $RPM_BUILD_ROOT/etc/security

%if %{kisdndock}
  make -C kisdndock-%{kisdndock_version} install DESTDIR=$RPM_BUILD_ROOT transform=
  mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
           $RPM_BUILD_ROOT/etc/pam.d \
           $RPM_BUILD_ROOT/etc/security/console.apps

  mv $RPM_BUILD_ROOT%{_bindir}/kisdndock $RPM_BUILD_ROOT%{_sbindir}
  mv $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/* $RPM_BUILD_ROOT%{_datadir}/applications/kde/ 
  install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/kisdndock

  touch $RPM_BUILD_ROOT/etc/security/console.apps/kisdndock

  pushd $RPM_BUILD_ROOT%{_bindir}
  ln -fs consolehelper kisdndock
  popd
%endif

# fix absolute symbolic links
(
  rpmlist="kcron"
  %if %{ksysv}
  rpmlist="$rpmlist ksysv"
  %endif
  %if %{kuser}
  rpmlist="$rpmlist kuser"
  %endif
  mkdir -p $RPM_BUILD_ROOT%{_docdir}/HTML/en/common
  cd $RPM_BUILD_ROOT%{_docdir}/HTML/en
  for i in $rpmlist ; do
    cd $i && ln -nfs ../common .
    cd ..
  done
)

# Put in some sane defaults
%if %{kuser}
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/config
  cat >$RPM_BUILD_ROOT%{_datadir}/config/kuserrc <<EOF
[template]
copySkel=true
createHomeDir=true
homeBase=/home
shell=/bin/bash
userPrivateGroup=true
EOF
%endif

%if %{ksysv}
  cat >$RPM_BUILD_ROOT%{_datadir}/config/ksysvrc <<EOF
[Other Settings]
Configured=true
[Path Settings]
RunlevelPath=/etc/rc.d
ScriptPath=/etc/rc.d/init.d
[Runlevels]
Show Runlevels=0,1,2,3,4,5,6
EOF
%endif

mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps \
         $RPM_BUILD_ROOT/etc/pam.d $RPM_BUILD_ROOT/usr/sbin

# Runkuser through consolehelper
%if %{kuser}
  mv $RPM_BUILD_ROOT/usr/bin/kuser $RPM_BUILD_ROOT/usr/sbin
  install -c -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/security/console.apps/kuser
  install -c -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/pam.d/kuser
  ln -s consolehelper $RPM_BUILD_ROOT/usr/bin/kuser
%endif

%if %{kpackage}
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/config
  install -m 0644 %{SOURCE9} $RPM_BUILD_ROOT/etc/pam.d/kpackage
  install -c -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/config
%endif

%if ! %{kcron}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/kcron
%endif

%if ! %{kdat}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/kdat
%endif

%if ! %{kpackage}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/kpackage
%endif

%if ! %{ksysv}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/ksysv
%endif

%if ! %{kuser}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/kuser
%endif

%if ! %{lilo}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/lilo-config
%endif

desktop-file-install \
   --vendor "" \
   --dir $RPM_BUILD_ROOT%{appdir} \
   --delete-original \
   --copy-generic-name-to-name \
   $RPM_BUILD_ROOT%{appdir}/kcron.desktop
                                                                                                                        
desktop-file-install \
   --vendor "" \
   --dir $RPM_BUILD_ROOT%{appdir} \
   --delete-original \
   --add-category "X-KDE-More" \
   $RPM_BUILD_ROOT%{appdir}/kdat.desktop

desktop-file-install \
   --vendor "" \
   --dir $RPM_BUILD_ROOT%{appdir} \
   --delete-original \
   --add-only-show-in KDE \
   $RPM_BUILD_ROOT%{appdir}/linuz.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%if %{rpm_clean}
  rm -rf $RPM_BUILD_ROOT
%endif

%files
%defattr(-,root,root)
%{_bindir}/secpolicy
%{_libdir}/kde3/kfile_*
%{_datadir}/services/kfile_*

%if %{kcron}
%{_bindir}/kcron
%{_datadir}/applications/kde/*kcron.desktop
%{_datadir}/icons/*/*/apps/kcron*
%doc %{_docdir}/HTML/en/kcron
%endif

%if %{kisdndock}
%config /etc/pam.d/kisdndock
%config /etc/security/console.apps/kisdndock
%{_sbindir}/kisdndock
%{_bindir}/kisdndock
%{_libdir}/libkcm_kisdndock*
%{_datadir}/applications/kde/*kisdndock.desktop
%{_datadir}/applnk/Settings/Network/kcmkisdndock.desktop
%{_datadir}/icons/hicolor/16x16/apps/kisdndock.png
%{_datadir}/icons/kisdndock.png
%endif

%if %{kdat}
%{_bindir}/kdat
%{_datadir}/apps/kdat
%{_datadir}/applications/kde/*kdat.desktop
%{_datadir}/icons/*/*/*/kdat.png
%doc %{_docdir}/HTML/en/kdat
%endif

%if %{kpackage}
%config %{_datadir}/config/kpackagerc
%config %{_datadir}/apps/kpackage/kpackageui.rc
%{_bindir}/kpackage
%{_sbindir}/kpackage
%{_datadir}/apps/kpackage
%{_datadir}/applications/kde/*kpackage.desktop
%{_datadir}/icons/*/*/apps/kpackage*
%{_datadir}/mimelnk/application/x-debian-package.desktop
%config(noreplace) /etc/pam.d/kpackage
%config(noreplace) /etc/security/console.apps/kpackage
%doc %{_docdir}/HTML/en/kpackage
%endif

%if %{ksysv}
%config %{_datadir}/config/ksysvrc
%{_bindir}/ksysv
%{_datadir}/apps/ksysv
%{_datadir}/applications/kde/*ksysv.desktop
%{_datadir}/icons/*/*/apps/ksysv*
%{_datadir}/mimelnk/application/x-ksysv.desktop
%{_datadir}/mimelnk/text/x-ksysv-log.desktop
%{_datadir}/icons/*/*/actions/toggle_log.png
%doc %{_docdir}/HTML/en/ksysv
%endif

%if %{kuser}
%config %{_datadir}/config/kuserrc
%{_bindir}/kuser
%{_sbindir}/kuser
%{_datadir}/apps/kuser
%{_datadir}/applications/kde/*kuser.desktop
%{_datadir}/icons/*/*/apps/kuser*
%config(noreplace) /etc/pam.d/kuser
%config(noreplace) /etc/security/console.apps/kuser
%doc %{_docdir}/HTML/en/kuser
%endif

%if %{kcmlinuz}
%{_datadir}/apps/kcmlinuz
%{_datadir}/applications/kde/*linuz.desktop
%{_libdir}/kde3/kcm_linuz*
%endif

%if %{lilo}
%{_datadir}/applications/kde/*lilo.desktop
%{_libdir}/kde3/kcm_lilo*
%endif

%changelog
* Tue May 04 2004 Than Ngo <than@redhat.com> 7:3.2.2-2
- cleanup GNOME/KDE menu

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 7:3.2.2-1
- 3.2.2 release

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 7:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 7:3.2.0-0.3
- 3.2.0 release
- build against qt 3.3.0

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 3.1.95-0.2
- cleanup specfile

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.1
- KDE 3.2 RC1

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 7:3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.1
- KDE 3.2 Beta1
- update kisdndock 1.0.2
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 7:3.1.4-1
- 3.1.4

* Sun Aug 03 2003 Than Ngo <than@redhat.com> 7:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-4
- build against gcc-3.3-12
- add define macro for lilo

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 3.1-2
- fix #84665
- get rid of gcc path from dependency_libs

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final
- remove unneeded size_t check patch
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 7:3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- exclude ia64
- removed size_t check

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- rc6

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop file issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- desktop file issues
- adjust some patch files for 3.1

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Wed Nov  6 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Fri Sep 13 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- Fixed to build on x86_64

* Thu Aug 22 2002 Bernhard Rosenkraenzer <bero@redhat.de> 3.0.3-3
- Fix kuser (#68879)

* Wed Aug 14 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- improve spec file to better exclude sub-packages

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- rebuild against new gcc

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues
- Added pam_timestamp support (bug #69862)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1
- Fix build with current automake
- Don't build kpackage until the rpm 4.1 API is finalized

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Link everything against the correct qt

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 3.0.0-2
- add missing shared libs
- exlude some stuff on s390/s390x

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-1
- final

* Tue Mar  5 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020305.1
- Make splits a buildtime option (off by default) by request.

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020118.1
- Remove kapabilities, qmkbootdisk and kontrol-panel, they're separate packages
  these days

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020117.1
- Update
- Build with current kdelibs
- Run kpackage through consolehelper

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011215.1
- Update
- Split package

* Thu Aug  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Get rid of the "Sources were not configured" warning at the first
  start of kuser
- The first normal user ID is 500, not 1001
- Run kwuftpd and kuser through consolehelper
- kontrol-panel 4.1.0; takes its desktop files from /etc/X11/sysconfig and
  /etc/X11/serverconfig and removes desktop files that aren't needed
  anymore
- Don't require mkbootdisk on ia64

* Mon Aug  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-1
- 2.2 final

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Add build dependency on fam-devel (#49081)
- Get rid of ia64 workaround

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Work around ia64 breakages

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010627.1
- Update
- Add build dependencies (#45153)
- Don't own /usr/lib/kde2, kdelibs already does

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2alpha2

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.1
- 2.2alpha1

* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com> 2.1.1-3
- secpolicy removed for now...broken and useless.

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix an endless loop when switching kernels in lilo-config

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- clean up specfile

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-8
- Don't crash when deleting a cronjob (#31999)

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-7
- Fix ksysv defaults (#32000)

* Fri Mar 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix kuser defaults (#31847)

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix typo in kontrol-panel.desktop (#30001)
- Don't own standard directories
- Add Polnish translation to .desktop files from CVS

* Sun Feb 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add icons for lilo and wu-ftpd configuration in kontrol-panel
  (Bug #29347)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- fixed dangling symlinks
- fixed kontrol-panel references lprngtool (bug #25477)
- update to 2.1

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with lilo installed in the buildroot, we want
  lilo-config

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't exclude ia64

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93
- fix up rpmv4 support

* Wed Jul 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle rpmv4 packages in kpackage (patch from Jeff Johnson <jbj@redhat.com>
  and myself)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- FHS fixes

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- clean up specfile
- new snapshot
- ExcludeArch ia64 for now - kdelibs doesn't compile there
- kill ksysctrl for now - compiler breakages.

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- work around install-strip breakage

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot
